Skip to content

Shop Ranking - Top Selling

Introduction

Get TikTok shop sales ranking data, with the following features:

  • Supports setting filtering parameters
  • Supports custom result sorting

API Endpoint

bash
    POST /shop/v1/rank/topSelling

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoPage number, default: 1
pagesizeintegerNoItems per page, default: 10

filter Optional Values

FieldTypeRequiredDescription
regionstringNoCountry/Region
category_idintegerNoProduct category
shop_typeintegerNoShop type: 1 (Brand shop), 2 (Retail shop)
is_cross_borderintegerNoWhether cross-border: 1 (Yes), 0 (No)
date_infoobjectNoDate information

region range: ['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']

orderby Optional Values

FieldRequiredDescription
units_soldNoSales (desc)
usd_gmvNoRevenue (desc)

Request Example

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/topSelling' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        # "is_cross_border": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
      # ,
      # {
      #   "field": "usd_gmv",
      #   "order": "desc",
      # }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of items in the result.

data.list

FieldTypeDescription
shop_infoobjectShop information
rank_categoryobjectRanking category
total_affiliate_countintegerTotal associated creators
sale_product_countintegerNumber of selling products
units_soldintegerSales units
gmvintegerSales revenue (GMV)
usd_gmvintegerRevenue in USD
units_sold_inc_ratestringSales growth rate
gmv_inc_ratestringRevenue growth rate
currencystringCurrency

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 7496304415144774132,
          "name": "medicube UK",
          "brand": "",
          "seller_company": "",
          "avatar": "https://s.500fd.com/tt_shop/26ecba0b60364ec2a9cfc0eefe829db5~tplv-t5fjg24jzw-resize-png:300:300.png",
          "region": "GB",
          "currency": "GBP",
          "product_count": 51,
          "shop_rating": 5,
          "main_category": {
            "category_id": 14,
            "name": "Beauty & Personal Care"
          },
          "is_fully_managed": 0,
          "is_cross_border": 0,
          "shop_type": 1,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 7986,
        "sale_product_count": 53,
        "units_sold": 5769,
        "gmv": 64774.72,
        "usd_gmv": 80320.65,
        "units_sold_inc_rate": "10.75%",
        "gmv_inc_rate": "7.73%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775701062,
  "request_id": "f273e537-f858-9e03-c15a-22a2acc672e9"
}